Revert commit
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/revert \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/revert"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/revert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "example_id"
}{
"merge_id": "example_id"
}コミット操作
Revert commit
The operation reverts any changes done in the single commit represented by revert_ref_id (compared to its own parent). These opposing changes are then applied into the branch represented by base_id. If any changes were done between revert_ref_id and base_id, they will be checked for conflicts with the revert changes.
POST
/
repos
/
{repo_id}
/
revert
Revert commit
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Query Parameters
A reference to a base unto which changes will be applied
Required string length:
3 - 128Example:
"example_id"
A reference to a source version to revert, currently only commit ID is supported
Required string length:
3 - 128Example:
"example_id"
Response
The revert was empty

